import React, { Component } from 'react';
import '../content.less';
import './content.less';
import LeftTab from './leftTab';


class Content extends Component {
    constructor() {
        super();
        this.state = {
            loading: false,
            component: <div></div>,
        };
    }
    componentWillMount() {
        if (window.location.hash) {
            this.getKey(window.location.hash.substr(1));
        } else {
            this.getKey("star");
        };
    }
    getKey(key) {
        switch (key) {
            case 'star':
                require.ensure([], () => {
                    const Star = require('./bigShot/star').default;
                    this.setState({
                        component: <Star />
                    });
                });
                break;
            case 'lecture':
                require.ensure([], () => {
                    const Lecture = require('./bigShot/lecture').default;
                    this.setState({
                        component: <Lecture />
                    });
                });
                break;
            case 'banner':
                require.ensure([], () => {
                    const Banner = require('./bannerManage/bannerManage').default;
                    this.setState({
                        component: <Banner />
                    });
                });
                break;
            case 'flash':
                require.ensure([], () => {
                    const News = require('./news/news').default;
                    this.setState({
                        component: <News newsType={1} />
                    });
                });
                break;
            case 'nationalPolicy':
                require.ensure([], () => {
                    const News = require('./news/news').default;
                    this.setState({
                        component: <News newsType={4} />
                    });
                });
                break;
            case 'localPolicy':
                require.ensure([], () => {
                    const News = require('./news/news').default;
                    this.setState({
                        component: <News newsType={5} />
                    });
                });
                break;
            case 'jitao':
                require.ensure([], () => {
                    const News = require('./news/news').default;
                    this.setState({
                        component: <News newsType={3} />
                    });
                });
                break;
            case 'contact':
                require.ensure([], () => {
                    const News = require('./news/news').default;
                    this.setState({
                        component: <News newsType={2} />
                    });
                });
                break;
            case 'activity':
                require.ensure([], () => {
                    const Activity = require('./activity/activity').default;
                    this.setState({
                        component: <Activity />
                    });
                });
                break;
            case 'activityUserList':
                require.ensure([], () => {
                    const ActivityUserList = require('./activity/activityUserList').default;
                    this.setState({
                        component: <ActivityUserList />
                    });
                });
                break;
        };
        window.location.hash = key;
    }
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.getKey.bind(this)} />
                <div className="content-right">
                    {this.state.component}
                </div>
            </div>
        )
    }
}

export default Content;
